Loading...
Searching...
No Matches
pcl::_PointWithViewpoint Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointWithViewpoint:

## Public Attributes

union { |
struct { |
float vp_x |
float vp_y |
float vp_z |
} |  |
float data_c [4] |
}; |  |

## Detailed Description

Definition at line 1070 of file point_types.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D union { ... } pcl::_PointWithViewpoint

## data_c

float pcl::_PointWithViewpoint::data_c[4]

Definition at line 1081 of file point_types.hpp.

## vp_x

float pcl::_PointWithViewpoint::vp_x

Definition at line 1077 of file point_types.hpp.

## vp_y

float pcl::_PointWithViewpoint::vp_y

Definition at line 1078 of file point_types.hpp.

## vp_z

float pcl::_PointWithViewpoint::vp_z

Definition at line 1079 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp